
attribute vec4 a_vertex;
attribute vec2 a_texcoord;
attribute vec2 a_gradcoord;
attribute float a_alpha;

varying vec2 v_texcoord;
varying vec2 v_gradient;
varying vec4 v_color;

uniform vec4 color;
uniform mat4 p_matrix;
uniform mat4 mv_matrix;

void main()
{
	v_texcoord = a_texcoord;
	v_gradient = a_gradcoord;
	v_color = vec4(color.rgb, color.a * a_alpha);
	gl_Position = p_matrix * mv_matrix * a_vertex;
}
